\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}
\begin{center}
\includegraphics[width=77.39mm,height=35.22mm]{./Adaptive_RED_An_Algorithm_for_Increasing_the_Robustness_of_RED_images/image001.eps}
\end{center}
Time (in Seconds)

Figure 6: RED with an Increase in Congestion.
\begin{center}
\includegraphics[width=77.39mm,height=35.22mm]{./Adaptive_RED_An_Algorithm_for_Increasing_the_Robustness_of_RED_images/image002.eps}
\end{center}
Time (in Seconds)

Figure 7: Adaptive RED with an Increase in Congestion.

Every {\it interval} seconds:

if ($avg>$ {\it target} and $\displaystyle \max_{p}\leq 0.5$)

increase {\it maxp}:
$$
\max_{p}\leftarrow\max_{p}+\alpha;
$$
elseif ($avg<$ {\it target} and $\displaystyle \max_{p}\geq 0.01$) decrease {\it maxp}:
$$
\max_{p}\leftarrow\max_{p}*\beta;
$$
Variable $\mathrm{s}$:

$avg$: average queue size

$\Gamma$ixed parameters:

{\it interval}: time; $0.5$ seconds

{\it target}: target for $avq$;
$$
[\min_{th}+0.4*(\max_{th}-\min_{th})\ ,
$$
$$
\min_{th}+0.6*(\max_{th}-\min_{th})].
$$
$\alpha$: increment; $\displaystyle \min(0.01,\ \max_{p}/4) \beta$: decrease factor; $0.9$

Figure 10: The Adaptive RED algorithm.

queue size--to dominate on smaller time scales. The adap- tion of $\displaystyle \max_{p}$ is invoked only as needed over longer time scales.

The robustness of Adaptive RED comes from its slow and infrequent adjustments of {\it maxp}. The price ofthis slow modification is that after a sharp change in the level of con- gestion, as in Figures 7 and 9, it could take some time, pos- sibly ten or twenty seconds, before $\displaystyle \max_{p}$ adapts to its new
\begin{center}
\includegraphics[width=77.43mm,height=35.22mm]{./Adaptive_RED_An_Algorithm_for_Increasing_the_Robustness_of_RED_images/image003.eps}
\end{center}
Time (in Seconds)

Figure 8: RED with a Decrease in Congestion.
\begin{center}
\includegraphics[width=77.43mm,height=35.22mm]{./Adaptive_RED_An_Algorithm_for_Increasing_the_Robustness_of_RED_images/image004.eps}
\end{center}
Time (in Seconds)

Figure 9: Adaptive RED with a Decrease in Congestion.

value. To ensure that the performance of Adaptive RED will not be unduly degraded during this transition period, our third guideline restricts $\displaystyle \max_{p}$ to stay within the range [0.01, 0.5]. This ensures that during the transition period the overall performance of RED should still be acceptable, even though the average queue size might not be in its tar- get range, and the average delay or throughput might suffer slightly.

We do not claim that our algorithm for Adaptive RED is optimal, or even close to optimal, but it seems to work well in a wide range of scenarios, and we believe that it could safely be deployed now in RED implementations in the In- ternet. As a result of the slow adaptation of {\it maxp}, the de- sign of Adaptive RED gives robust performance in a wide range of environments. As stated above, the cost of this slow adaptation is that of a transient period, after a sharp change in the level of congestion, when the average queue size is not within the target zone. Adaptive RED is thus consciously positioned in the conservative, robust end of the spectrum of AQM mechanisms, with the aim of avoid- ing the more finely-tuned but also more fragile dynamics at the more aggressive end ofthe spectrum.

Adaptive RED's algorithm in Figure 10 uses AIMD to adapt {\it maxp}. While we experimented with other linear con- trols such as MIMD (Multiplicative Increase Multiplicative Decrease) as well as proportional error controls, as might be suggested by some control-theoretic analyses, our expe- riences have been that the AIMD approach is more robust. This completes the general description of the Adaptive RED algorithm. Embedded in this algorithm are detailed

6
\end{document}
